> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bullring.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get One Onramp

> Retrieve the status of an onramp transaction.



## OpenAPI

````yaml /api-reference/openapi.json get /v2/ramp/{subaccountId}/banking/onramp/{onrampId}
openapi: 3.0.0
info:
  title: Bullring Finance API
  description: >-
    The Bullring Finance API allows you to build powerful cross-border payment
    solutions.
  version: 1.0.0
servers:
  - url: https://api.bullring.finance
    description: Production Server
  - url: https://staging-api.bullring.finance
    description: Sandbox Server
security:
  - x-api-key: []
tags:
  - name: Subaccounts
    description: Operations related to user subaccounts.
  - name: Verification
    description: Endpoints for subaccount verification, including KYC and KYB processes.
  - name: Balances
    description: Endpoints for retrieving account balances.
  - name: Deposits
    description: Endpoints for handling deposits into subaccounts.
  - name: Recipients
    description: Manage payment recipients for withdrawals.
  - name: Withdrawals
    description: Endpoints for handling withdrawals from subaccounts.
  - name: Conversions
    description: Endpoints for currency conversions.
  - name: Rates
    description: Endpoints for currency conversion rates.
  - name: Fees
    description: Endpoints for checking transaction fees.
  - name: Offramp
    description: Endpoints for handling offramp operations.
  - name: Onramp
    description: Endpoints for handling onramp operations.
paths:
  /v2/ramp/{subaccountId}/banking/onramp/{onrampId}:
    get:
      tags:
        - Onramp
      summary: Get One Onramp
      description: Retrieve the status of an onramp transaction.
      parameters:
        - name: subaccountId
          in: path
          schema:
            type: string
          required: true
        - name: onrampId
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                    enum:
                      - pending
                      - paid
                      - completed
                      - failed
                  type:
                    type: string
                  created_at:
                    type: string
                    format: date-time
                  account_id:
                    type: string
                  client_onramp_reference:
                    type: string
                  from:
                    type: object
                    properties:
                      amount:
                        type: string
                      currency:
                        type: string
                  to:
                    type: object
                    properties:
                      asset:
                        type: string
                      gross_amount:
                        type: string
                      net_amount:
                        type: string
                      address:
                        type: string
                  pricing:
                    type: object
                    properties:
                      fx_rate:
                        type: string
                      fees:
                        type: object
                        properties:
                          onramp_fee:
                            type: string
                          onramp_fee_currency:
                            type: string
                          network_fee:
                            type: string
                          network_fee_asset:
                            type: string
                          total_fees:
                            type: string
                          total_fees_currency:
                            type: string
                  settlement:
                    type: object
                    properties:
                      collection_id:
                        type: string
              example:
                id: 28ec3842-88d3-44d8-ac25-fce61c2e6fc0
                status: pending
                type: onramp
                created_at: '2026-01-30T13:39:27.348Z'
                account_id: bb9bb7f8-53a1-4d2b-9d44-972462772789
                client_onramp_reference: 5a26b319-fc68-4ee2-83f2-198895716135
                from:
                  amount: '94.42'
                  currency: BRL
                to:
                  asset: USDC
                  gross_amount: '95.46'
                  net_amount: '94.42'
                  address: 2fFUHpCEXhdQtSxompq8qbyU7EjjrtkMnr7ZT4ovF9A9
                pricing:
                  fx_rate: '0.19092881'
                  fees:
                    onramp_fee: '1.5'
                    onramp_fee_currency: brl
                    network_fee: '0.75'
                    network_fee_asset: USDC
                    total_fees: '5.43'
                    total_fees_currency: brl
                settlement:
                  collection_id: e4a38b63-2b06-40bb-8b62-cb415e8994aa
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````